Arch PipeConnector/ro: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 4: Line 4:
{{docnav/ro|[[Arch_Pipe|Pipe]]|[[Arch_CompSetMaterial|Arch CompSetMaterial]]|[[Arch_Workbench|Arch]]|IconL=Arch_Pipe.svg |IconC=Workbench_Arch.svg |IconR=Arch_CompSetMaterial.png}}
{{docnav/ro|[[Arch_Pipe|Pipe]]|[[Arch_CompSetMaterial|Arch CompSetMaterial]]|[[Arch_Workbench|Arch]]|IconL=Arch_Pipe.svg |IconC=Workbench_Arch.svg |IconR=Arch_CompSetMaterial.png}}
</div>
</div>

{{VeryImportantMessage|THIS COMMAND IS PART OF THE INTEGRATED [[BIM_Workbench|BIM WORKBENCH]] IN V1.0<br>
This page has been updated for that version.}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 16: Line 19:
</div>
</div>


<span id="Description"></span>
==Descriere==
==Descriere==


Line 23: Line 27:
</div>
</div>


<span id="Usage"></span>
== Cum se folosește ==
== Cum se folosește ==


Line 30: Line 35:
</div>
</div>


<span id="Properties"></span>
==Proprietăți==
==Proprietăți==


* {{PropertyData|Radius}}: Raza curburii acestui conector
* {{PropertyData|Radius}}: Raza curburii acestui conector


<span id="Typical_workflow"></span>
== Fluxul de lucru tipic ==
== Fluxul de lucru tipic ==


Line 94: Line 101:
</div>
</div>


{{Arch Tools navi{{#translation:}}}}
{{BIM_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Revision as of 14:39, 11 June 2024

THIS COMMAND IS PART OF THE INTEGRATED BIM WORKBENCH IN V1.0
This page has been updated for that version.

Arch PipeConnector

poziția meniului
Arch → Pipe Tools → Pipe Connector
Ateliere
Arch
scurtătură
P C
Prezentat în versiune
0.17
A se vedea, de asemenea,
Arch Pipe/ro, Arch Equipment/ro

Descriere

introduced in version 0.17 Acest instrument permite crearea unui conector de colț sau T între două sau trei Arc Pipes selectate.

Cum se folosește

  1. Selectați 2 sau 3 Arch Pipes. Dacă selectați 3 pipes, două dintr ele trebuiesc aliniate exact.
  2. apăsați butonul Arch PipeConnector , sau în ordine tastele P apoi C

Proprietăți

  • DateRadius: Raza curburii acestui conector

Fluxul de lucru tipic

Scripting

Scrip-Programare

Instrumentul Pipe Connector poate fi utilizat în macros și de la consola Python folosind următoarea funcție:

Connector = makePipeConnector(pipes, radius=0, name="Connector")
  • Creates a Connector object from the given pipes, which is a list of Arch Pipes, and optionally a radius of curvature.
    • The base objects (Draft Wires) of the Arch Pipes should share an endpoint so they create a proper, smooth connector.

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(-1000, 0, 0)
p2 = FreeCAD.Vector(-2000, 0, 0)
p3 = FreeCAD.Vector(-2000, 0, 0)
p4 = FreeCAD.Vector(-2000, -1000, 0)
p5 = FreeCAD.Vector(-2000, -1000, 0)
p6 = FreeCAD.Vector(-4000, -1000, 0)
Line1 = Draft.makeWire([p1, p2])
Line2 = Draft.makeWire([p3, p4])
Line3 = Draft.makeWire([p5, p6])

Pipe1 = Arch.makePipe(Line1, 150)
Pipe2 = Arch.makePipe(Line2, 150)
Pipe3 = Arch.makePipe(Line3, 150)
FreeCAD.ActiveDocument.recompute()

Conn = Arch.makePipeConnector([Pipe1, Pipe2])
Conn2 = Arch.makePipeConnector([Pipe2, Pipe3])
FreeCAD.ActiveDocument.recompute()

Line4 = Draft.move(Line1, FreeCAD.Vector(-500, 1000, 0), copy=True)
Line5 = Draft.move(Line2, FreeCAD.Vector(-500, 1000, 0), copy=True)
Pipe4 = Arch.makePipe(Line4, 100)
Pipe5 = Arch.makePipe(Line5, 100)
FreeCAD.ActiveDocument.recompute()

Conn3 = Arch.makePipeConnector([Pipe4, Pipe5], radius=400)
FreeCAD.ActiveDocument.recompute()